Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ares.impl
Class ConstraintTestImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.amp.amf.testing.ares.impl.ConstraintTestImpl

All Implemented Interfaces:
  ConstraintTest, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class ConstraintTestImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements ConstraintTest

An implementation of the model object 'Constraint Test'.

The following features are implemented:

- `Constraint`
- `Issue`
- `Actual Value`
- `Failure`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static double` | `ACTUAL_VALUE_EDEFAULT` The default value of the '`Actual Value`' attribute.
`protected double` | `actualValue` The cached value of the '`Actual Value`' attribute.
`protected Constraint` | `constraint` The cached value of the '`Constraint`' reference.
`protected static boolean` | `FAILURE_EDEFAULT` The default value of the '`Failure`' attribute.
`protected Issue` | `issue` The cached value of the '`Issue`' attribute.
`protected static Issue` | `ISSUE_EDEFAULT` The default value of the '`Issue`' attribute.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `ConstraintTestImpl()`

Method Summary
`Constraint` | `basicGetConstraint()`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`double` | `getActualValue()`
`Constraint` | `getConstraint()`
`Issue` | `getIssue()`
`boolean` | `isFailure()`
`void` | `setActualValue(double newActualValue)`
`void` | `setConstraint(Constraint newConstraint)`
`void` | `setIssue(Issue newIssue)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### constraint

    protected Constraint constraint

  The cached value of the '`Constraint`' reference.

  See Also:
    `getConstraint()`

### ISSUE_EDEFAULT

    protected static final Issue ISSUE_EDEFAULT

  The default value of the '`Issue`' attribute.

  See Also:
    `getIssue()`

### issue

    protected Issue issue

  The cached value of the '`Issue`' attribute.

  See Also:
    `getIssue()`

### ACTUAL_VALUE_EDEFAULT

    protected static final double ACTUAL_VALUE_EDEFAULT

  The default value of the '`Actual Value`' attribute.

  See Also:
    `getActualValue()`, Constant Field Values

### actualValue

    protected double actualValue

  The cached value of the '`Actual Value`' attribute.

  See Also:
    `getActualValue()`

### FAILURE_EDEFAULT

    protected static final boolean FAILURE_EDEFAULT

  The default value of the '`Failure`' attribute.

  See Also:
    `isFailure()`, Constant Field Values

Constructor Detail

### ConstraintTestImpl

    protected ConstraintTestImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getConstraint

    public Constraint getConstraint()

  Specified by:
    `getConstraint` in interface `ConstraintTest`
  Returns:
    the value of the 'Constraint' reference.
  See Also:
    `ConstraintTest.setConstraint(Constraint)`, `AresPackage.getConstraintTest_Constraint()`

### basicGetConstraint

    public Constraint basicGetConstraint()

### setConstraint

    public void setConstraint(Constraint newConstraint)

  Specified by:
    `setConstraint` in interface `ConstraintTest`
  Parameters:
    `newConstraint` - the new value of the 'Constraint' reference.
  See Also:
    `ConstraintTest.getConstraint()`

### getIssue

    public Issue getIssue()

  Specified by:
    `getIssue` in interface `ConstraintTest`
  Returns:
    the value of the 'Issue' attribute.
  See Also:
    `Issue`, `ConstraintTest.setIssue(Issue)`, `AresPackage.getConstraintTest_Issue()`

### setIssue

    public void setIssue(Issue newIssue)

  Specified by:
    `setIssue` in interface `ConstraintTest`
  Parameters:
    `newIssue` - the new value of the 'Issue' attribute.
  See Also:
    `Issue`, `ConstraintTest.getIssue()`

### getActualValue

    public double getActualValue()

  Specified by:
    `getActualValue` in interface `ConstraintTest`
  Returns:
    the value of the 'Actual Value' attribute.
  See Also:
    `ConstraintTest.setActualValue(double)`, `AresPackage.getConstraintTest_ActualValue()`

### setActualValue

    public void setActualValue(double newActualValue)

  Specified by:
    `setActualValue` in interface `ConstraintTest`
  Parameters:
    `newActualValue` - the new value of the 'Actual Value' attribute.
  See Also:
    `ConstraintTest.getActualValue()`

### isFailure

    public boolean isFailure()

  Specified by:
    `isFailure` in interface `ConstraintTest`
  Returns:
    the value of the 'Failure' attribute.
  See Also:
    `AresPackage.getConstraintTest_Failure()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD